Luminar won't update (.net framework error)

Comments

2 comments

  • Avatar
    Yaroslav Kizyma

    Drop us a message at support@skylum.com and we will gladly help with this issue.

     

    0
    Comment actions Permalink
  • Avatar
    Jim Wolff

    I am having the same problem trying to install the Aurora HDR Trial version.
    I am running Windows 10 and I've confirmed I have the latest version of .NET  v.4.7.2

    I will send email to you now.

     

    0
    Comment actions Permalink

Please sign in to leave a comment.